Bug 340351 - Brightness applet only works over half the range of the display
Brightness applet only works over half the range of the display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 15:30 EDT by Matthew Saltzman
Modified: 2013-03-05 22:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:57:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-10-19 15:30:58 EDT
Description of problem:
My display (ThinkPad T61 with NVidia Quadro NV140M) has a brightness control
that operates over 15 steps, from dimmest to brightest.

If I try to control the brightness with gnome-brightness-applet, the slider only
changes brightness over half the total range.  If the brightness starts high,
the slider changes from brightest to half-bright.  If the brightness starts low,
the slider changes the brightness from dimmest to half-bright.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.20.0-6.fc8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Change brightness using gnome-brightness-applet.
2.
3.
  
Actual results:
See above.

Expected results:
Brightness changes from brightest to dimmest setting.

Additional info:

This is the Xorg Vesa driver.  (The Xorg NV driver doesn't work with this card.)
Comment 1 Jan Kratochvil 2007-11-27 07:23:15 EST
(In reply to comment #0)
> My display [...] has a brightness control that operates over 15 steps,

Where is such control is located?

I have the full brightness (as I have ever seen, it looks perfect) on AC power.
 But on batteries even with
  Dim display brightness by: 0%
the screen is too dim, I have to change the color scheme and it is hard to read.

Workaround:
  acpitool -l 7

It sets the brightness on the batteries as is on the AC power.  The
best-there-is (0% dim) brightness on the batteries corresponds to approx. the
"-l" level 6.1.

Also using the VESA driver but on ATI:
  01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X1400
  http://www.smolts.org/show?UUID=10f0cc48-4a2f-46d0-a176-c8efd064f972
Comment 2 Jan Kratochvil 2008-01-20 12:24:54 EST
(In reply to comment #1)
> Workaround:
>   acpitool -l 7

Not sure what it is related to but at least on
  acpitool-0.4.7-1.fc8.x86_64
  kernel-2.6.23.8-63.fc8.x86_64
it does no longer (IIRC it really worked in Comment 1) work - the display is
more dim on batteries than on AC, even after `acpitool -l 7'.
Comment 3 Matthew Saltzman 2008-01-20 18:04:50 EST
(In reply to comment #1)
> (In reply to comment #0)
> > My display [...] has a brightness control that operates over 15 steps,
> 
> Where is such control is located?

On the ThinkPad T61, this is <Fn>-<Home> (one step brighter) and <Fn>-<End> (one
step dimmer). 

If I use this control, the brightness indicator (either the GNOME one or the tpb
one) runs over seven steps from brightest to dimmest on the indicator (but only
the middle of the possible range).  On the next step, the panel dims another
step, but the indicator goes back to brightest.  For the remaining steps, the
indicator drops until it reaches the dimmest setting for the second time.  (The
behavior is reversed for brightening.)

If I use the appletslider, it only adjusts over the upper seven steps or the
lower seven steps, depending on where it starts.

> I have the full brightness (as I have ever seen, it looks perfect) on AC power.
>  But on batteries even with
>   Dim display brightness by: 0%
> the screen is too dim, I have to change the color scheme and it is hard to read.
> 
> Workaround:
>   acpitool -l 7
> 
> It sets the brightness on the batteries as is on the AC power.  The
> best-there-is (0% dim) brightness on the batteries corresponds to approx. the
> "-l" level 6.1.
> 
> Also using the VESA driver but on ATI:
>   01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X1400
>   http://www.smolts.org/show?UUID=10f0cc48-4a2f-46d0-a176-c8efd064f972
> 

Is this the same bug?

BTW, the behavior is the same for the vesa, nv (now working), and proprietary
nvidia drivers.
Comment 4 Bug Zapper 2008-11-26 03:00:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:57:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.